package com.mortals.xhx.module.matter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MatterFlowlimit
* date: 2021-9-23 13:21:04
*/
public class MatterFlowlimitEntity extends MatterFlowlimitEntityExt{
    private static final long serialVersionUID = 1632374464316L;


    /**
    * 事项matter id
    */
    private Long matterId;

    /**
    * 办理流程
    */
    private String flowName;

    /**
    * 办理时长
    */
    private String flowTime;

    /**
    * 转外时限
    */
    private String flowTurnOut;

    /**
    * 办理流程说明
    */
    private String flowDesc;

    /**
    * 事项来源，0：政务网，1：自定义，默认0
    */
    private Integer source;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public MatterFlowlimitEntity(){

    }
    /**
    * 获取 事项matter id
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项matter id
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 办理流程
    * @return flowName
    */
    public String getFlowName() {
        return this.flowName;
    }
    /**
    * 设置 办理流程
    * @param flowName
    */
    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }
    /**
    * 获取 办理时长
    * @return flowTime
    */
    public String getFlowTime() {
        return this.flowTime;
    }
    /**
    * 设置 办理时长
    * @param flowTime
    */
    public void setFlowTime(String flowTime) {
        this.flowTime = flowTime;
    }
    /**
    * 获取 转外时限
    * @return flowTurnOut
    */
    public String getFlowTurnOut() {
        return this.flowTurnOut;
    }
    /**
    * 设置 转外时限
    * @param flowTurnOut
    */
    public void setFlowTurnOut(String flowTurnOut) {
        this.flowTurnOut = flowTurnOut;
    }
    /**
    * 获取 办理流程说明
    * @return flowDesc
    */
    public String getFlowDesc() {
        return this.flowDesc;
    }
    /**
    * 设置 办理流程说明
    * @param flowDesc
    */
    public void setFlowDesc(String flowDesc) {
        this.flowDesc = flowDesc;
    }
    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return source
    */
    public Integer getSource() {
        return this.source;
    }
    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public void setSource(Integer source) {
        this.source = source;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterFlowlimitEntity) {
            MatterFlowlimitEntity tmp = (MatterFlowlimitEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterId:").append(getMatterId())
                .append(",flowName:").append(getFlowName())
                .append(",flowTime:").append(getFlowTime())
                .append(",flowTurnOut:").append(getFlowTurnOut())
                .append(",flowDesc:").append(getFlowDesc())
                .append(",source:").append(getSource())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterId = null;
         this.flowName = null;
         this.flowTime = null;
         this.flowTurnOut = null;
         this.flowDesc = null;
         this.source = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}